From 91fa5e4022aadf2fb1e2ab1aead2aed5bb99d80c Mon Sep 17 00:00:00 2001
From: Steve Dodier-Lazaro <sidi@xfce.org>
Date: Sun, 5 Apr 2015 14:45:18 +0100
Subject: [PATCH] Reworking indent around Ctrl [Shift] I, moving Insert to Ctrl
 N

---
 src/planner-gantt-view.c    | 8 ++++----
 src/planner-resource-view.c | 2 +-
 src/planner-task-view.c     | 8 ++++----
 src/planner-window.c        | 2 +-
 4 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/src/planner-gantt-view.c b/src/planner-gantt-view.c
index bc2d6c1..04532f7 100644
--- a/src/planner-gantt-view.c
+++ b/src/planner-gantt-view.c
@@ -136,7 +136,7 @@ static PlannerViewClass *parent_class = NULL;
 
 static const GtkActionEntry entries[] = {
 	{ "InsertTask",      "planner-stock-insert-task",    N_("_Insert Task"),
-	  "<control>i",        N_("Insert a new task"),
+	  "<control>n",        N_("Insert a new task"),
 	  G_CALLBACK (gantt_view_insert_task_cb) },
 	{ "InsertTasks",     "planner-stock-insert-task",    N_("In_sert Tasks..."),
 	  NULL,                NULL,
@@ -151,16 +151,16 @@ static const GtkActionEntry entries[] = {
 	  NULL,               N_("Select all tasks"),
 	  G_CALLBACK (gantt_view_select_all_cb) },
 	{ "UnlinkTask",      "planner-stock-unlink-task",    N_("_Unlink Task"),
-	  "<control>u",        N_("Unlink the selected tasks"),
+	  "<shift><control>l",        N_("Unlink the selected tasks"),
 	  G_CALLBACK (gantt_view_unlink_task_cb) },
 	{ "LinkTasks",       "planner-stock-link-task",      N_("_Link Tasks"),
 	  "<control>l",        N_("Link the selected tasks"),
 	  G_CALLBACK (gantt_view_link_tasks_cb) },
 	{ "IndentTask",      "planner-stock-indent-task",    N_("I_ndent Task"),
-	  "<shift><control>i", N_("Indent the selected tasks"),
+	  "<control>i", N_("Indent the selected tasks"),
 	  G_CALLBACK (gantt_view_indent_task_cb) },
 	{ "UnindentTask",    "planner-stock-unindent-task",  N_("Unin_dent Task"),
-	  "<shift><control>u", N_("Unindent the selected tasks"),
+	  "<shift><control>i", N_("Unindent the selected tasks"),
 	  G_CALLBACK (gantt_view_unindent_task_cb) },
 	{ "MoveTaskUp",      "planner-stock-move-task-up",   N_("Move Task _Up"),
 	  "<control>Up",       N_("Move the selected tasks upwards"),
diff --git a/src/planner-resource-view.c b/src/planner-resource-view.c
index 9aff2df..9e8c92b 100644
--- a/src/planner-resource-view.c
+++ b/src/planner-resource-view.c
@@ -231,7 +231,7 @@ static PlannerViewClass *parent_class = NULL;
 
 static const GtkActionEntry entries[] = {
 	{ "InsertResource",   "planner-stock-insert-resource", N_("_Insert Resource"),
-	  "<Control>i",        N_("Insert a new resource"),
+	  "<Control>n",        N_("Insert a new resource"),
 	  G_CALLBACK (resource_view_insert_resource_cb) },
 	{ "InsertResources",  "planner-stock-insert-resource", N_("In_sert Resources..."),
 	  NULL,                NULL,
diff --git a/src/planner-task-view.c b/src/planner-task-view.c
index 561f390..7175fbc 100644
--- a/src/planner-task-view.c
+++ b/src/planner-task-view.c
@@ -117,7 +117,7 @@ static PlannerViewClass *parent_class = NULL;
 
 static const GtkActionEntry entries[] = {
 	{ "InsertTask",      "planner-stock-insert-task",      N_("_Insert Task"),
-	  "<Control>i",        N_("Insert a new task"),
+	  "<Control>n",        N_("Insert a new task"),
           G_CALLBACK (task_view_insert_task_cb) },
 	{ "InsertTasks",     "planner-stock-insert-task",      N_("In_sert Tasks..."),
          NULL,                NULL,
@@ -132,16 +132,16 @@ static const GtkActionEntry entries[] = {
 	  NULL,               N_("Select all tasks"),
 	  G_CALLBACK (task_view_select_all_cb) },
 	{ "UnlinkTask",      "planner-stock-unlink-task",      N_("_Unlink Task"),
-	  "<Control>u",        N_("Unlink the selected tasks"),
+	  "<Shift><Control>l",        N_("Unlink the selected tasks"),
 	  G_CALLBACK (task_view_unlink_task_cb) },
 	{ "LinkTasks",       "planner-stock-link-task",        N_("_Link Tasks"),
 	  "<Control>l",         N_("Link the selected tasks"),
 	  G_CALLBACK (task_view_link_tasks_cb) },
 	{ "IndentTask",      "planner-stock-indent-task",      N_("I_ndent Task"),
-	  "<Shift><Control>i", N_("Indent the selected tasks"),
+	  "<Control>i", N_("Indent the selected tasks"),
 	  G_CALLBACK (task_view_indent_task_cb) },
 	{ "UnindentTask",    "planner-stock-unindent-task",    N_("Unin_dent Task"),
-	  "<Shift><Control>u", N_("Unindent the selected tasks"),
+	  "<Shift><Control>i", N_("Unindent the selected tasks"),
 	  G_CALLBACK (task_view_unindent_task_cb) },
 	{ "MoveTaskUp",      "planner-stock-move-task-up",     N_("Move Task _Up"),
 	  "<Control>Up",       N_("Move the selected tasks upwards"),
diff --git a/src/planner-window.c b/src/planner-window.c
index b3689fb..75d0310 100644
--- a/src/planner-window.c
+++ b/src/planner-window.c
@@ -217,7 +217,7 @@ static GtkActionEntry entries[] = {
 	  NULL
 	},
 	{ "FileNew",
-	  GTK_STOCK_NEW,           N_("_New Project"),             "<Control>n",        N_("Create a new project"),
+	  GTK_STOCK_NEW,           N_("_New Project"),             "",        N_("Create a new project"),
 	  G_CALLBACK (window_new_cb)
 	},
 	{ "FileOpen",
-- 
2.3.5

